LIBRARY ieee  ; 
USE ieee.std_logic_1164.all  ; 
USE ieee.std_logic_arith.all  ; 
USE ieee.std_logic_unsigned.all  ; 

ENTITY dual_edge_counter_tb  IS 
END ; 
 
ARCHITECTURE dual_edge_counter_tb_arch OF dual_edge_counter_tb IS
  SIGNAL output   :  std_logic_vector (7 downto 0)  ;   
  SIGNAL clk   :  std_logic  ; 
  
  COMPONENT dual_edge_counter  
    PORT ( 
      output  : out std_logic_vector (7 downto 0) ; 
      clk  : in std_logic ); 
  END COMPONENT ;   
  
-- Clock period definitions
constant clk_period : time := 100 ns;

BEGIN
  DUT  : dual_edge_counter  
    PORT MAP ( 
      output   => output  ,
      clk   => clk   ) ; 

   clk_process :process
        begin
          for Z in 1 to 8000
          loop
            clk  <= '1'  ;
            wait for clk_period/2;
            clk  <= '0'  ;
            wait for clk_period/2;
          end  loop;
          wait;
        end process;  	  	  
	  
END ;